Bug 1334439 - Unable to disable IPv6 DAD or Optimistic DAD for all interfaces
Summary: Unable to disable IPv6 DAD or Optimistic DAD for all interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Matteo Croce
QA Contact: Wei Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-09 15:45 UTC by Michele Baldessari
Modified: 2018-04-10 19:27 UTC (History)
7 users (show)

Fixed In Version: kernel-3.10.0-764.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 19:25:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1245951 0 medium CLOSED Corosync cannot bind to IPv6 address 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:1062 0 None None None 2018-04-10 19:27:17 UTC

Internal Links: 1245951

Description Michele Baldessari 2016-05-09 15:45:27 UTC
Description of problem:
The net/ipv6/.*/{accept_dad,optimistic_dad} should be able to be set for
all interfaces by setting
/proc/sys/net/ipv6/default/{accept_dad,optimistic_dad}

This does not work currently (confirmed with Hannes) and the only way to set 
these values is to do it for each interface.

So doing the following won't work:
[root@haa-08 ipv6]# cat /etc/sysctl.d/90-ipv6-disable-dad.conf
net.ipv6.conf.default.optimistic_dad=1                        

The only way to do it is to do it per interface:
net.ipv6.conf.eth0.optimistic_dad=1

The problem with this approach is that you can't really set up a new system
where DAD is fully disabled (or optimistic DAD enabled). You need to know and
set each interface explicitly, which is particularly hard given that we
have predictable naming for interfaces these days.


Version-Release number of selected component (if applicable):
3.10.0-327.13.1.el7.x86_64


Additional info:
This BZ was filed after a discussion in BZ#1245951

Comment 2 Matteo Croce 2017-09-12 15:56:13 UTC
Just posted a patch upstream: https://marc.info/?m=150523120610624

Comment 6 Rafael Aquini 2017-10-31 12:33:14 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 8 Rafael Aquini 2017-11-01 10:35:12 UTC
Patch(es) available on kernel-3.10.0-764.el7

Comment 18 errata-xmlrpc 2018-04-10 19:25:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.